Create new schema
curl --request POST \
--url https://api.kadoa.com/v4/schemas/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"fields": [
{
"name": "<string>",
"description": "<string>",
"instruction": "<string>",
"fieldType": "SCHEMA",
"example": "<string>",
"shape": "<unknown>",
"isKey": true
}
],
"entity": "<string>"
}
'import requests
url = "https://api.kadoa.com/v4/schemas/"
payload = {
"name": "<string>",
"fields": [
{
"name": "<string>",
"description": "<string>",
"instruction": "<string>",
"fieldType": "SCHEMA",
"example": "<string>",
"shape": "<unknown>",
"isKey": True
}
],
"entity": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
fields: [
{
name: '<string>',
description: '<string>',
instruction: '<string>',
fieldType: 'SCHEMA',
example: '<string>',
shape: '<unknown>',
isKey: true
}
],
entity: '<string>'
})
};
fetch('https://api.kadoa.com/v4/schemas/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": false,
"success": true,
"schemaId": "<string>",
"message": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}Schemas
Create new schema
Create a new data schema with specified fields and entity type
POST
/
v4
/
schemas
/
Create new schema
Authorizations
API key for authentication
Body
application/json
Body
Request body for creating a new schema
Name of the schema
Required string length:
1 - 255Schema fields for extraction - choose from Data Field (typed data) or Classification Field
Minimum array length:
1Extraction field schema
- DataField
- ClassificationField
Show child attributes
Show child attributes
Entity type for the schema
Minimum string length:
1Response
201
Response for schema creation
⌘I